Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class PageInfo

    java.lang.Object
      org.apache.jasper.compiler.PageInfo

    public class PageInfo

extends Object

A repository for various info about the translation unit under compilation.

Author:
  Kin-man Chung

Method Summary
`void` | `addDependant(String d)`
`void` | `addImport(String imp)`
`void` | `addImports(List imports)`
`void` | `addPrefix(String prefix)`
`void` | `addPrefixMapping(String prefix, String uri)`
`void` | `addTaglib(String uri, TagLibraryInfo info)`
`boolean` | `containsPrefix(String prefix)`
`String` | `getAutoFlush()`
`org.apache.jasper.compiler.BeanRepository` | `getBeanRepository()`
`int` | `getBuffer()`
`String` | `getBufferValue()`
`String` | `getContentType()`
`String` | `getDeferredSyntaxAllowedAsLiteral()`
`List` | `getDependants()`
`String` | `getDoctypeName()`
`String` | `getDoctypePublic()`
`String` | `getDoctypeSystem()`
`String` | `getErrorPage()`
`String` | `getExtends()` Gets the value of the 'extends' page directive attribute.
`String` | `getExtends(boolean useDefault)` Gets the value of the 'extends' page directive attribute.
`List` | `getImports()`
`List` | `getIncludeCoda()`
`List` | `getIncludePrelude()`
`String` | `getInfo()`
`String` | `getIsELIgnored()`
`String` | `getIsErrorPage()`
`String` | `getIsThreadSafe()`
`String` | `getJspFile()`
`String` | `getLanguage()`
`String` | `getLanguage(boolean useDefault)`
`int` | `getMaxTagNesting()`
`org.apache.jasper.compiler.Mark` | `getNonCustomTagPrefix(String prefix)`
`String` | `getOmitXmlDecl()`
`String` | `getSession()`
`TagLibraryInfo` | `getTaglib(String uri)`
`Collection` | `getTaglibs()`
`String` | `getTrimDirectiveWhitespaces()`
`String` | `getURI(String prefix)`
`boolean` | `hasJspRoot()`
`boolean` | `hasTaglib(String uri)`
`boolean` | `isAutoFlush()`
`boolean` | `isDeferredSyntaxAllowedAsLiteral()`
`boolean` | `isELIgnored()`
`boolean` | `isErrorPage()`
`boolean` | `isJspPrefixHijacked()`
`boolean` | `isPluginDeclared(String id)` Check if the plugin ID has been previously declared.
`boolean` | `isScriptingInvalid()`
`boolean` | `isScriptless()`
`boolean` | `isSession()`
`boolean` | `isThreadSafe()`
`boolean` | `isTrimDirectiveWhitespaces()`
`void` | `popPrefixMapping(String prefix)`
`void` | `pushPrefixMapping(String prefix, String uri)`
`void` | `putNonCustomTagPrefix(String prefix, org.apache.jasper.compiler.Mark where)`
`void` | `setAutoFlush(String value, org.apache.jasper.compiler.Node n, ErrorDispatcher err)`
`void` | `setBuffer(int size)`
`void` | `setBufferValue(String value, org.apache.jasper.compiler.Node n, ErrorDispatcher err)`
`void` | `setContentType(String value)`
`void` | `setDeferredSyntaxAllowedAsLiteral(boolean s)`
`void` | `setDeferredSyntaxAllowedAsLiteral(String value, org.apache.jasper.compiler.Node n, ErrorDispatcher err, boolean pagedir)`
`void` | `setDoctypeName(String doctypeName)`
`void` | `setDoctypePublic(String doctypePublic)`
`void` | `setDoctypeSystem(String doctypeSystem)`
`void` | `setELIgnored(boolean s)`
`void` | `setErrorPage(String value)`
`void` | `setExtends(String value, Node.PageDirective n)`
`void` | `setHasJspRoot(boolean s)`
`void` | `setIncludeCoda(Vector coda)`
`void` | `setIncludePrelude(Vector prelude)`
`void` | `setInfo(String value)`
`void` | `setIsELIgnored(String value, org.apache.jasper.compiler.Node n, ErrorDispatcher err, boolean pagedir)`
`void` | `setIsErrorPage(String value, org.apache.jasper.compiler.Node n, ErrorDispatcher err)`
`void` | `setIsJspPrefixHijacked(boolean isHijacked)`
`void` | `setIsThreadSafe(String value, org.apache.jasper.compiler.Node n, ErrorDispatcher err)`
`void` | `setLanguage(String value, org.apache.jasper.compiler.Node n, ErrorDispatcher err, boolean pagedir)`
`void` | `setMaxTagNesting(int maxTagNesting)`
`void` | `setOmitXmlDecl(String omit)`
`void` | `setScriptingInvalid(boolean s)`
`void` | `setScriptless(boolean s)`
`void` | `setSession(String value, org.apache.jasper.compiler.Node n, ErrorDispatcher err)`
`void` | `setTrimDirectiveWhitespaces(boolean s)`
`void` | `setTrimDirectiveWhitespaces(String value, org.apache.jasper.compiler.Node n, ErrorDispatcher err, boolean pagedir)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isPluginDeclared

    public boolean isPluginDeclared(String id)

  Check if the plugin ID has been previously declared. Make a not that this Id is now declared.

  Returns:
    true if Id has been declared.

### addImports

    public void addImports(List imports)

### addImport

    public void addImport(String imp)

### getImports

    public List getImports()

### getJspFile

    public String getJspFile()

### addDependant

    public void addDependant(String d)

### getDependants

    public List getDependants()

### getBeanRepository

    public org.apache.jasper.compiler.BeanRepository getBeanRepository()

### getMaxTagNesting

    public int getMaxTagNesting()

### setMaxTagNesting

    public void setMaxTagNesting(int maxTagNesting)

### setScriptless

    public void setScriptless(boolean s)

### isScriptless

    public boolean isScriptless()

### setScriptingInvalid

    public void setScriptingInvalid(boolean s)

### isScriptingInvalid

    public boolean isScriptingInvalid()

### getIncludePrelude

    public List getIncludePrelude()

### setIncludePrelude

    public void setIncludePrelude(Vector prelude)

### getIncludeCoda

    public List getIncludeCoda()

### setIncludeCoda

    public void setIncludeCoda(Vector coda)

### setHasJspRoot

    public void setHasJspRoot(boolean s)

### hasJspRoot

    public boolean hasJspRoot()

### getOmitXmlDecl

    public String getOmitXmlDecl()

### setOmitXmlDecl

    public void setOmitXmlDecl(String omit)

### getDoctypeName

    public String getDoctypeName()

### setDoctypeName

    public void setDoctypeName(String doctypeName)

### getDoctypeSystem

    public String getDoctypeSystem()

### setDoctypeSystem

    public void setDoctypeSystem(String doctypeSystem)

### getDoctypePublic

    public String getDoctypePublic()

### setDoctypePublic

    public void setDoctypePublic(String doctypePublic)

### setIsJspPrefixHijacked

    public void setIsJspPrefixHijacked(boolean isHijacked)

### isJspPrefixHijacked

    public boolean isJspPrefixHijacked()

### addPrefix

    public void addPrefix(String prefix)

### containsPrefix

    public boolean containsPrefix(String prefix)

### addTaglib

    public void addTaglib(String uri,
                          TagLibraryInfo info)

### getTaglib

    public TagLibraryInfo getTaglib(String uri)

### getTaglibs

    public Collection getTaglibs()

### hasTaglib

    public boolean hasTaglib(String uri)

### addPrefixMapping

    public void addPrefixMapping(String prefix,
                                 String uri)

### pushPrefixMapping

    public void pushPrefixMapping(String prefix,
                                  String uri)

### popPrefixMapping

    public void popPrefixMapping(String prefix)

### getURI

    public String getURI(String prefix)

### setLanguage

    public void setLanguage(String value,
                            org.apache.jasper.compiler.Node n,
                            ErrorDispatcher err,
                            boolean pagedir)
                     throws JasperException

  Throws:
    `JasperException`

### getLanguage

    public String getLanguage(boolean useDefault)

### getLanguage

    public String getLanguage()

### setExtends

    public void setExtends(String value,
                           Node.PageDirective n)

### getExtends

    public String getExtends(boolean useDefault)

  Gets the value of the 'extends' page directive attribute.

  Parameters:
    `useDefault` - TRUE if the default (org.apache.jasper.runtime.HttpJspBase) should be returned if this attribute has not been set, FALSE otherwise
  Returns:
    The value of the 'extends' page directive attribute, or the default (org.apache.jasper.runtime.HttpJspBase) if this attribute has not been set and useDefault is TRUE

### getExtends

    public String getExtends()

  Gets the value of the 'extends' page directive attribute.

  Returns:
    The value of the 'extends' page directive attribute, or the default (org.apache.jasper.runtime.HttpJspBase) if this attribute has not been set

### setContentType

    public void setContentType(String value)

### getContentType

    public String getContentType()

### setBufferValue

    public void setBufferValue(String value,
                               org.apache.jasper.compiler.Node n,
                               ErrorDispatcher err)
                        throws JasperException

  Throws:
    `JasperException`

### getBufferValue

    public String getBufferValue()

### getBuffer

    public int getBuffer()

### setBuffer

    public void setBuffer(int size)

### setSession

    public void setSession(String value,
                           org.apache.jasper.compiler.Node n,
                           ErrorDispatcher err)
                    throws JasperException

  Throws:
    `JasperException`

### getSession

    public String getSession()

### isSession

    public boolean isSession()

### setAutoFlush

    public void setAutoFlush(String value,
                             org.apache.jasper.compiler.Node n,
                             ErrorDispatcher err)
                      throws JasperException

  Throws:
    `JasperException`

### getAutoFlush

    public String getAutoFlush()

### isAutoFlush

    public boolean isAutoFlush()

### setIsThreadSafe

    public void setIsThreadSafe(String value,
                                org.apache.jasper.compiler.Node n,
                                ErrorDispatcher err)
                         throws JasperException

  Throws:
    `JasperException`

### getIsThreadSafe

    public String getIsThreadSafe()

### isThreadSafe

    public boolean isThreadSafe()

### setInfo

    public void setInfo(String value)

### getInfo

    public String getInfo()

### setErrorPage

    public void setErrorPage(String value)

### getErrorPage

    public String getErrorPage()

### setIsErrorPage

    public void setIsErrorPage(String value,
                               org.apache.jasper.compiler.Node n,
                               ErrorDispatcher err)
                        throws JasperException

  Throws:
    `JasperException`

### getIsErrorPage

    public String getIsErrorPage()

### isErrorPage

    public boolean isErrorPage()

### setIsELIgnored

    public void setIsELIgnored(String value,
                               org.apache.jasper.compiler.Node n,
                               ErrorDispatcher err,
                               boolean pagedir)
                        throws JasperException

  Throws:
    `JasperException`

### setELIgnored

    public void setELIgnored(boolean s)

### getIsELIgnored

    public String getIsELIgnored()

### isELIgnored

    public boolean isELIgnored()

### setDeferredSyntaxAllowedAsLiteral

    public void setDeferredSyntaxAllowedAsLiteral(String value,
                                                  org.apache.jasper.compiler.Node n,
                                                  ErrorDispatcher err,
                                                  boolean pagedir)
                                           throws JasperException

  Throws:
    `JasperException`

### setDeferredSyntaxAllowedAsLiteral

    public void setDeferredSyntaxAllowedAsLiteral(boolean s)

### getDeferredSyntaxAllowedAsLiteral

    public String getDeferredSyntaxAllowedAsLiteral()

### isDeferredSyntaxAllowedAsLiteral

    public boolean isDeferredSyntaxAllowedAsLiteral()

### setTrimDirectiveWhitespaces

    public void setTrimDirectiveWhitespaces(String value,
                                            org.apache.jasper.compiler.Node n,
                                            ErrorDispatcher err,
                                            boolean pagedir)
                                     throws JasperException

  Throws:
    `JasperException`

### setTrimDirectiveWhitespaces

    public void setTrimDirectiveWhitespaces(boolean s)

### getTrimDirectiveWhitespaces

    public String getTrimDirectiveWhitespaces()

### isTrimDirectiveWhitespaces

    public boolean isTrimDirectiveWhitespaces()

### putNonCustomTagPrefix

    public void putNonCustomTagPrefix(String prefix,
                                      org.apache.jasper.compiler.Mark where)

### getNonCustomTagPrefix

    public org.apache.jasper.compiler.Mark getNonCustomTagPrefix(String prefix)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.